Debian Bug report logs - #605732
/usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler

version graph

Package: desktop-base; Maintainer for desktop-base is Gustavo Franco <stratus@debian.org>; Source for desktop-base is src:desktop-base.

Reported by: Joey Hess <joeyh@debian.org>

Date: Thu, 2 Dec 2010 20:46:15 UTC

Severity: normal

Found in version desktop-base/6.0.1

Fixed in version desktop-base/7.0.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Thu, 02 Dec 2010 20:46:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 02 Dec 2010 20:46:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Thu, 2 Dec 2010 16:38:10 -0400
[Message part 1 (text/plain, inline)]
Package: desktop-base
Version: 6.0.1
Severity: normal

The image is 1024x768, so on a display such as my netbook's 1024x600, it
has to be scaled. Grub2's image scaler does not do any smoothing
apparently, the result is similar to the attached screenshot.png 
(taken using zxgv, but a similar effect, although I don't think the text
looked as bad in grub). Notice particularly the swirl. The fine, smooth
white lines outlining it do not survive scaling well and become jagged, and
the result looked very unpolished when I saw it for the first time at boot.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages desktop-base depends on:
ii  librsvg2-common               2.26.3-1   SAX-based renderer library for SVG

desktop-base recommends no packages.

Versions of packages desktop-base suggests:
ii  gnome                         1:2.30+6   The GNOME Desktop Environment, wit

-- no debconf information

-- 
see shy jo
[screenshot.png (image/png, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Fri, 03 Dec 2010 12:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 03 Dec 2010 12:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 605732@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 605732@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Fri, 03 Dec 2010 13:12:12 +0100
Hey,

did you try to use the widescreen alternative?

Regards,
-- 
Yves-Alexis





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Fri, 03 Dec 2010 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 03 Dec 2010 14:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 605732@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 605732@bugs.debian.org
Subject: Re: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Fri, 3 Dec 2010 10:29:09 -0400
[Message part 1 (text/plain, inline)]
Yves-Alexis Perez wrote:
> Hey,
> 
> did you try to use the widescreen alternative?

It still needs to be scaled down to may laptop's screen (in both
dimensions), so I still see a jagged border around the swirl, and some
degredation around the vertical risers in the text.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Fri, 03 Dec 2010 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 03 Dec 2010 14:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 605732@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 605732@bugs.debian.org
Subject: Re: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Fri, 03 Dec 2010 15:49:02 +0100
On ven., 2010-12-03 at 10:29 -0400, Joey Hess wrote:
> Yves-Alexis Perez wrote:
> > Hey,
> > 
> > did you try to use the widescreen alternative?
> 
> It still needs to be scaled down to may laptop's screen (in both
> dimensions), so I still see a jagged border around the swirl, and some
> degredation around the vertical risers in the text. 

Until grub supports svg (not sure it's a great idea either though :),
I'm not sure we can do anything about that. Shipping an alternative for
each and every resolution isn't really doable, so there will be some
resize anyway.

Regards,
-- 
Yves-Alexis





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Fri, 03 Dec 2010 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 03 Dec 2010 15:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 605732@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 605732@bugs.debian.org
Subject: Re: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Fri, 3 Dec 2010 11:08:29 -0400
[Message part 1 (text/plain, inline)]
Yves-Alexis Perez wrote:
> On ven., 2010-12-03 at 10:29 -0400, Joey Hess wrote:
> > Yves-Alexis Perez wrote:
> > > Hey,
> > > 
> > > did you try to use the widescreen alternative?
> > 
> > It still needs to be scaled down to may laptop's screen (in both
> > dimensions), so I still see a jagged border around the swirl, and some
> > degredation around the vertical risers in the text. 
> 
> Until grub supports svg (not sure it's a great idea either though :),
> I'm not sure we can do anything about that. Shipping an alternative for
> each and every resolution isn't really doable, so there will be some
> resize anyway.

You can use images that do not contain fine detail (in highly
contrasting colors) that degrades badly when scaled. The moreblue theme
did not have this problem to any significant degree. Removing the fine
white lines from around the swirl and removing the small-font text would
eliminate the worst part of this problem.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Fri, 03 Dec 2010 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 03 Dec 2010 15:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 605732@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Joey Hess <joeyh@debian.org>, 605732@bugs.debian.org
Cc: Valessio Brito <contato@valessiobrito.info>
Subject: Re: Bug#605732: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Fri, 03 Dec 2010 16:16:12 +0100
On ven., 2010-12-03 at 11:08 -0400, Joey Hess wrote:
> > Until grub supports svg (not sure it's a great idea either though :),
> > I'm not sure we can do anything about that. Shipping an alternative for
> > each and every resolution isn't really doable, so there will be some
> > resize anyway.
> 
> You can use images that do not contain fine detail (in highly
> contrasting colors) that degrades badly when scaled. The moreblue theme
> did not have this problem to any significant degree. Removing the fine
> white lines from around the swirl and removing the small-font text would
> eliminate the worst part of this problem.
> 
I'm adding Valessio to CC: in case he missed the thread on
debian-desktop@.

Regards,
-- 
Yves-Alexis





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Tue, 07 Dec 2010 23:42:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valessio S Brito <contato@valessiobrito.info>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 07 Dec 2010 23:42:25 GMT) Full text and rfc822 format available.

Message #35 received at 605732@bugs.debian.org (full text, mbox):

From: Valessio S Brito <contato@valessiobrito.info>
To: Yves-Alexis Perez <corsac@debian.org>, tiago@debian.org
Cc: Joey Hess <joeyh@debian.org>, 605732@bugs.debian.org
Subject: Re: Bug#605732: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Tue, 07 Dec 2010 21:12:58 -0200
Sorry, but I'm not quite know how to solve it.

Maybe having a high-resolution image. Using a script with  
"imagemagick" to cut and resize the ideal format.



Citando Yves-Alexis Perez <corsac@debian.org>:

> On ven., 2010-12-03 at 11:08 -0400, Joey Hess wrote:
>> > Until grub supports svg (not sure it's a great idea either though :),
>> > I'm not sure we can do anything about that. Shipping an alternative for
>> > each and every resolution isn't really doable, so there will be some
>> > resize anyway.
>>
>> You can use images that do not contain fine detail (in highly
>> contrasting colors) that degrades badly when scaled. The moreblue theme
>> did not have this problem to any significant degree. Removing the fine
>> white lines from around the swirl and removing the small-font text would
>> eliminate the worst part of this problem.
>>
> I'm adding Valessio to CC: in case he missed the thread on
> debian-desktop@.
>
> Regards,
> --
> Yves-Alexis
>
>



-- 
://ValessioBrito.info
> Comunicação e Tecnologia
mobile: +55 71 VALESSIO





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Wed, 08 Dec 2010 23:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 08 Dec 2010 23:33:15 GMT) Full text and rfc822 format available.

Message #40 received at 605732@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: 605732@bugs.debian.org
Cc: Yves-Alexis Perez <corsac@debian.org>, Valessio Brito <contato@valessiobrito.info>
Subject: Bug #605732,/usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Wed, 08 Dec 2010 23:56:08 +0100
I have tried to solve this, if this is OK with Valessio.

Please take a look at:

<http://wiki.debian.org/DebianArt/desktop-base-bugfix605732>

I hope this helps.




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Thu, 09 Dec 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 09 Dec 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 605732@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Joey Hess <joeyh@debian.org>, 605732@bugs.debian.org
Cc: Yves-Alexis Perez <corsac@debian.org>
Subject: Re: Bug#605732: usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Thu, 9 Dec 2010 01:33:59 +0100
On Fri, Dec 03, 2010 at 10:29:09AM -0400, Joey Hess wrote:
> Yves-Alexis Perez wrote:
> > did you try to use the widescreen alternative?
> 
> It still needs to be scaled down to may laptop's screen (in both
> dimensions), so I still see a jagged border around the swirl, and some
> degredation around the vertical risers in the text.

It may sound obvious, but grub2 config set default gxfmode to 640x480,
which results in ugly rendering.

Did you try raising GRUB_GFXMODE in /etc/default/grub ? 
(don't know whether 1024x600 is supported, but 800x600 would definitely render
better than default resolution) ? 

BTW, do you think it would be reasonable to set higher default resolution
in grub2 when using themes ? (it would be a shame all the art efforts cannot be
rendered correctly by default)

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Thu, 09 Dec 2010 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 09 Dec 2010 20:45:05 GMT) Full text and rfc822 format available.

Message #50 received at 605732@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: Yves-Alexis Perez <corsac@debian.org>, 605732@bugs.debian.org
Subject: Fwd: Re: Bug #605732,/usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Thu, 09 Dec 2010 21:41:21 +0100
Valessio gave his OK for this bugfix.

So can we consider this problem solved? Or is there anything else that 
should be changed in the grub pictures?

best regards
Ulrich




-------- Original-Nachricht --------
Betreff: Re: Bug 
#605732,/usr/share/images/desktop-base/spacefun-grub.png too  visually 
complex for grub's scaler
Datum: Wed, 08 Dec 2010 22:24:08 -0200
Von: Valessio S Brito <contato@valessiobrito.info>
An: uhansen@mainz-online.de

Thanks!

very nice!

thanks for your help. I believe the Debian community greatly appreciates.


Citando Ulrich Hansen <uhansen@mainz-online.de>:

> I have tried to solve this, if this is OK with Valessio.
>
> Please take a look at:
>
> <http://wiki.debian.org/DebianArt/desktop-base-bugfix605732>
>
> I hope this helps.
>



-- 
://ValessioBrito.info
> Comunicação e Tecnologia
mobile: +55 71 VALESSIO






Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Thu, 09 Dec 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 09 Dec 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 605732@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: uhansen@mainz-online.de, 605732@bugs.debian.org
Subject: Re: Bug#605732: Fwd: Re: Bug #605732,/usr/share/images/desktop-base/spacefun-grub.png too visually complex for grub's scaler
Date: Thu, 09 Dec 2010 21:53:16 +0100
[Message part 1 (text/plain, inline)]
On jeu., 2010-12-09 at 21:41 +0100, Ulrich Hansen wrote:
> Valessio gave his OK for this bugfix.
> 
> So can we consider this problem solved? Or is there anything else
> that 
> should be changed in the grub pictures? 

Ok, I'll take the iso ones from that page, so the readability is
improved too.

Regards, 
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#605732; Package desktop-base. (Sat, 29 Sep 2012 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sat, 29 Sep 2012 20:21:05 GMT) Full text and rfc822 format available.

Message #60 received at 605732@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@debian.org>
To: 605732@bugs.debian.org
Cc: control@bugs.debian.org
Subject: no longer found in sid
Date: Sat, 29 Sep 2012 16:21:49 -0400
[Message part 1 (text/plain, inline)]
fixed 605732 7.0.0
thanks

We don't use spacefun anymore, and I believe the new branding is quiet
enough to not pose a problem.

Thanks!
  Paul

-- 
 .''`.  Paul Tagliamonte <paultag@debian.org>
: :'  : Proud Debian Developer
`. `'`  4096R / 8F04 9AD8 2C92 066C 7352  D28A 7B58 5B30 807C 2A87
 `-     http://people.debian.org/~paultag
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions desktop-base/7.0.0. Request was from Paul Tagliamonte <paultag@debian.org> to control@bugs.debian.org. (Sat, 29 Sep 2012 20:21:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:57:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.